/* global module */

let config = {
  'notGetBlocks': [
    'blocks-demo.html',
  ],
  'ignoredBlocks': [
    'no-js',
  ],
  'alwaysAddBlocks': [
    'sprite-svg',
    'form-validation',
    'table'
    // 'sprite-png',
  ],
  'addStyleBefore': [
    'src/scss/variables.scss',
    'src/scss/mixins.scss',
    '../../node_modules/swiper/swiper.scss',
    '../../node_modules/swiper/modules/effect-fade/effect-fade.scss',
    '../../node_modules/swiper/modules/autoplay/autoplay.scss',
    '../../node_modules/flatpickr/dist/flatpickr.min.css',
    '../../node_modules/accordion-js/dist/accordion.min.css',
    // 'somePackage/dist/somePackage.css', // для 'node_modules/somePackage/dist/somePackage.css',
  ],
  'addStyleAfter': [
    // 'src/scss/print.scss',
  ],
  'addJsBefore': [
    // 'somePackage/dist/somePackage.js', // для 'node_modules/somePackage/dist/somePackage.js',
  ],
  'addJsAfter': [
    './script.js',
  ],
  'addAssets': {
    'src/img/*.{png,svg,jpg,jpeg,webp}': 'img/',
    'src/fonts/*.{woff,woff2}': 'fonts/',
    'src/favicon/*.{png,ico,svg,xml}': 'img/favicon',
    'src/files/*.{txt,pdf,docx,xlsx}': 'files/',
    // 'node_modules/somePackage/images/*.{png,svg,jpg,jpeg}': 'img/',
  },
  'dir': {
    'src': 'src/',
    'build': 'build/',
    'blocks': 'src/blocks/'
  }
};

module.exports = config;
